Creates a file and prepares for resumable upload.
POST
https://drive.cloud.hicloud.com/upload/drive/v1/files?uploadType=resume
*Some parameters are mandatory.
| Parameter Name | Type | Description | |
| X-Upload-Content-Type | string | header | Content-Type of the file to be uploaded. |
| X-Upload-Content-Length | integer | header | Content-Length of the file to be uploaded. |
| uploadType | string | query | Type of an upload request. (Mandatory) |
| quotaId | string | query | User identifier, consisting of 40 characters at maximum. It is used to restrict the number of API calls of an individual user. |
| x-hw-trace-id | string | header | ID used for service tracing. |
| x-hw-app-id | string | header | App ID. |
| version | string | header | SDK version number. |
| x-hw-terminal | string | header | Device model. |
| x-hw-os | string | header | Device operating system. |
| unionID | string | header | Open user ID. |
| User-Agent | string | header | App version number or ID. |
In the request body, provide data with the following structure:
| Parameter Name | Type | Description |
| appSettings[] | string | Custom properties of the requesting app. |
| contentExtras.thumbnail.content | string | Thumbnail data encoded with Base64. |
| contentExtras.thumbnail.mimeType | string | MIME type of the thumbnail. |
| writerHasCopyPermission | boolean | Indicates whether the current user (assuming the writer role) has permission to copy this file. |
| createdTime | string | Time when the file was created. |
| description | string | Short description of the file. |
| mimeType | string | MIME type of the file. |
| editedTime | string | Last time the file was modified. |
| fileName | string | Name of the file. |
| originalFilename | string | The original name of the file. |
| parentFolder[] | string | Parent folder. |
| properties[] | string | Custom file properties that are universally visible. |
| favorite | boolean | Indicates whether the file has been favorited. |
| writersHasSharePermission | boolean | Indicates whether the current user (assuming the writer role) has permission to share this file. |
| sha256 | string | SHA-256 value for the file. |
If successful, this method returns a response header with the following structure:
| Parameter Name | Type | Description |
| Location | string | URI for the resumable upload session. |